<template>
  <v-item v-slot="{ isSelected, toggle }" :value="value">
    <v-card
      link
      color="primary"
      variant="outlined"
      :disabled="disabled"
      class="border border-opacity-100"
      :class="isSelected ? 'border-primary bgOpacity' : 'border-corderColor'"
      @click="cardClicked(toggle)"
    >
      <template #default>
        <div class="w-full flex items-center gap-2 p-4 rounded">
          <div class="flex w-full items-center gap-2">
            <div>
              <Icon :icon="icon" height="40" width="40" />
            </div>

            <div class="flex flex-col items-start">
              <svn-pro-text bodyLarge medium>
                {{ title }}
              </svn-pro-text>

              <svn-pro-text caption color="onSurfaceVariant">
                {{ subtitle }}
              </svn-pro-text>
            </div>
          </div>

          <div class="flex items-start self-stretch">
            <!-- Le bouton radio prend son état depuis `isSelected` passé par le parent -->
            <svn-pro-radio-button :model-value="!isSelected" color="primary" />
          </div>
        </div>
      </template>
    </v-card>
  </v-item>
</template>

<script setup>
import { Icon } from '@iconify/vue';
import SvnProText from '../../components/styles/SvnProText.vue';
import SvnProRadioButton from '../../components/input/SvnProRadioButton.vue';

const props = defineProps({
  icon: {
    type: String,
    default: 'noto:handshake',
  },
  disabled: {
    type: Boolean,
    default: false,
  },
  title: {
    type: String,
    default: undefined,
  },
  subtitle: {
    type: String,
    default: undefined,
  },
  value: {
    type: String,
    default: undefined,
  },
});

const emits = defineEmits(['item-clicked']);

// On gère le clic pour transmettre l'état au parent
const cardClicked = (toggle) => {
  toggle();

  emits('item-clicked');
};
</script>

<style scoped>
.bgOpacity {
  background: rgba(62, 82, 202, 0.16);
}
</style>
